"""initial migration

Revision ID: 0f15954ea072
Revises: 
Create Date: 2022-08-15 12:05:19.248452

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '0f15954ea072'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('user',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('name', sa.String(length=80), nullable=False),
    sa.Column('password', sa.Text(), nullable=False),
    sa.Column('number', sa.Text(), nullable=True),
    sa.Column('email', sa.String(length=120), nullable=False),
    sa.Column('token', sa.Text(), nullable=True),
    sa.Column('has_paid', sa.Boolean(), nullable=False),
    sa.Column('exp_date', sa.DateTime(), nullable=True),
    sa.Column('profile', sa.Text(), nullable=True),
    sa.Column('address', sa.Text(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=False),
    sa.Column('tool', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('email'),
    sa.UniqueConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('track',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=False),
    sa.Column('turbidity', sa.Float(), nullable=False),
    sa.Column('ph', sa.Float(), nullable=False),
    sa.Column('van_1', sa.Boolean(), nullable=False),
    sa.Column('van_2', sa.Boolean(), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('track')
    op.drop_table('user')
    # ### end Alembic commands ###
